package com.gic.haoban.manage.web.qo.contact;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gic.commons.web.qo.PageQo;

import java.util.Date;

/**
 * Created by wangzubo on 2025/3/15.
 */
public class ContactFollowPageQO extends PageQo {

    /**
     * 会员id
     */
    private String memberId;
    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;

    /**
     * 企业id
     */
    private String enterpriseId;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
